Inhalte
Index 🔎︎

# Anweisung On … GoSub; Anweisung On … GoTo

Verzweigt an eine von mehreren angegebenen anderen Stellen des Programms in Abhängigkeit eines numerischen Ausdrucks.

### Syntax:

    On Ausdruck GoSub Bezeichnung1[, Bezeichnung2[, Bezeichnung3[, …]]]
    On Ausdruck GoTo Bezeichnung1[, Bezeichnung2[, Bezeichnung3[, …]]]

### Parameter:

Ausdruck: Jeder numerische Ausdruck zwischen 0 und 255, der bestimmt, zu welcher Zeile das Programm verzweigt. Wenn Ausdruck 0 ist, wird die Anweisung nicht ausgeführt. Wenn Ausdruck größer als 0 ist, springt das Programm zu der Bezeichnung, dessen Positionsnummer dem Ausdruck entspricht (1 = Erste Bezeichnung; 2 = Zweite Bezeichnung)

Bezeichnung: Zielzeile gemäß GoTo oder GoSub.

Die Konventionen für GoTo oder GoSub sind zulässig.

### Beispiel:

    Sub ExampleOnGosub
    Dim iVar As Integer
    Dim sVar As String
        iVar = 2
        sVar =""
        On iVar GoSub Sub1, Sub2
        On iVar GoTo Line1, Line2
        Exit Sub
    Sub1:
        sVar =sVar & " Von Sub 1 nach" : Return
    Sub2:
        sVar =sVar & " Von Sub 2 nach" : Return
    Line1:
        sVar =sVar & " Marke 1" : GoTo Ende
    Line2:
        sVar =sVar & " Marke 2"
    Ende:
        MsgBox sVar,0,"On...GoSub"
    End Sub

Verwandte Themen

Anweisung GoSub…Return

Anweisung GoTo